Step 4 - Retrieve Identity Details

Overview

After successful completion of the Identity job, you will be able to retrieve the most up-to-date information on the end user's identity.

Retrieve Identity Details

HTTP Request

Sandbox - GET https://api.sandbox.aerosync.com/v2/accounts/{{connectionId}}/identity

Production - GET https://api.aerosync.com/v2/accounts/{{connectionId}}/identity

Request Parameters

ParameterRequired?TypeDescription
connectionIdYesStringAerosync-specific connectionId received from the SDK onSuccess

Request and Response

GET https://api.sandbox.aerosync.com/v2/accounts/{{connectionId}}/identity
Authorization: Bearer {{token}}

{
  "status": "success",
  "statusCode": 200,
  "identity": {
    "accountHolderName": "John Doe",
    "address": "300 Walnut St #100, Des Moines, IA, 50309",
    "address_fields": {
      "address1": "300 Walnut St",
      "address2": "#100",
      "city": "Des Moines",
      "state": "IA",
      "region": null,
      "postalCode": "50309",
      "country": "US"
    },
    "email": "[email protected]",
    "phone": "515-123-4567",
    "bankName": "Chase",
    "institutionName": "Chase",
    "institutionUuid": "253018d1-578b-4c79-bb85-48b666bbd6e0",
    "userId": "eda89d7076484cd8a30644b20d465af1",
    "connectionId": "eda89d7076484cd8a30644b20d465af1"
  }
}